## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

Name:           python-fasjson-client
Version:        1.0.8
Release:        %autorelease
Summary:        An OpenAPI client for FASJSON

License:        LGPL-3.0-or-later
URL:            https://github.com/fedora-infra/fasjson-client
Source:         %{pypi_source fasjson-client}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-requests-mock
%endif

%global _description %{expand:
A python client library for the FASJSON API.}


%description %_description


%package -n     python3-fasjson-client
Summary:        %{summary}


%description -n python3-fasjson-client %_description


%pyproject_extras_subpkg -n python3-fasjson-client cli


%package -n     fasjson-client
Summary:        %{summary} - CLI
Requires:       python3-fasjson-client+cli = %{version}-%{release}


%description -n fasjson-client
A command line interface for the FASJSON API.


%prep
%autosetup -n fasjson-client-%{version} -p 1


%generate_buildrequires
%pyproject_buildrequires -x cli


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fasjson_client

# extra files we don't want to package
rm %{buildroot}%{python3_sitelib}/{config.toml.example,tox.ini}


%check
%if %{with tests}
# upstream runs pytest from within tox, but that includes lots of coverage
# flags we don't want
%pytest -v fasjson_client/tests/unit
%else
# even when tests are skipped, make sure the module imports correctly
%pyproject_check_import -e 'fasjson_client.tests*'
%endif


%files -n python3-fasjson-client -f %{pyproject_files}
%license LICENSE
%doc README.md


%files -n fasjson-client
%{_bindir}/fasjson-client


%changelog
* Thu Jun 08 2023 Carl George <carl@george.computer> - 1.0.8-1
- Update to version 1.0.8, resolves rhbz#2182477

* Thu Jun 08 2023 Michal Konečný <michal.konecny@packetseekers.eu> - 1.0.7-8
- Fix the issue with packit builds

* Wed Feb 15 2023 Carl George <carl@george.computer> - 1.0.7-7
- Convert to pyproject macros
- Re-enable tests
- Run import check when tests are disabled
- Update license field to SPDX identifier
- Remove duplicate license file

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 Kevin Fenzi <kevin@scrye.com> - 1.0.7-5
- add patch

* Fri Sep 30 2022 Kevin Fenzi <kevin@scrye.com> - 1.0.7-4
- disable tests to fix ftbfs and relax pytest-cov requirement

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1.0.7-2
- Rebuilt for Python 3.11

* Wed May 11 2022 Packit <hello@packit.dev> - 1.0.7-1
- [packit] 1.0.7 upstream release

* Wed May 11 2022 Stephen Coady <scoady@redhat.com> - 1.0.6-1
- Version 1.0.6

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 27 2021 Nils Philippsen <nils@redhat.com> - 1.0.5-1
- Version 1.0.5

* Tue Oct 12 2021 Nils Philippsen <nils@redhat.com> - 1.0.4-1
- Version 1.0.4

* Tue Oct 12 2021 Nils Philippsen <nils@redhat.com> - 1.0.3-2
- Bump cryptography, pytest-cov dependency versions

* Tue Oct 12 2021 Nils Philippsen <nils@redhat.com> - 1.0.3-1
- Version 1.0.3

* Wed Sep 01 2021 Nils Philippsen <nils@redhat.com> - 1.0.1-1
- Version 1.0.1

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.2-2
- Rebuilt for Python 3.10

* Tue Mar 30 2021 Nils Philippsen <nils@redhat.com> - 0.1.2-1
- version 0.1.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 04 2020 Nils Philippsen <nils@redhat.com> - 0.1.1-6
- don't provide fasjson-client from the Python package

* Fri Dec 04 2020 Nils Philippsen <nils@redhat.com> - 0.1.1-5
- fall back to unpinned Python 3 version where this makes problems (F32)

* Fri Dec 04 2020 Nils Philippsen <nils@redhat.com> - 0.1.1-4
- move runtime deps to the right place, d'oh, and trim them down (old
  jsonschema doesn't need pyrsistent)
- pin Python version with Python dependencies

* Thu Dec 03 2020 Nils Philippsen <nils@redhat.com> - 0.1.1-3
- add missing dependencies of the CLI package on EL8

* Thu Dec 03 2020 Nils Philippsen <nils@redhat.com> - 0.1.1-2
- add missing dependencies of dependencies on EL8
- add obsoletes for seamless updates

* Wed Dec 02 2020 Nils Philippsen <nils@redhat.com> - 0.1.1-1
- version 0.1.1
- provide CLI subpackages (from F-33 on)
- relax cryptography and toml version requirements to accommodate EL8

* Mon Nov 23 2020 Nils Philippsen <nils@redhat.com> - 0.1.0-1
- version 0.1.0
- don't run tests on EPEL8 (too many missing deps)

* Fri Nov 20 2020 Nils Philippsen <nils@redhat.com>
- relax some dependency versions and run tests

* Tue Sep 08 2020 Aurelien Bompard <abompard@fedoraproject.org> - 0.0.3-1
- Initial package.

